Python 2.4 and Tkinter

Jeffrey Barish jeffbarish at starband.net
Fri Dec 3 16:51:10 CET 2004


Eric Brunel wrote:

> Jeffrey Barish wrote:
> [snip]
>> OK, I downloaded tcl8.4.8 and tk8.4.8.  They are now installed.  Back
>> to
>> python2.4 make.  It now bombs at:
>> 
>> gcc -pthread -shared build/temp.linux-i686-2.4/_tkinter.o
>> build/temp.linux-i686-2.4/tkappinit.o -L/usr/X11R6/lib64
>> -L/usr/X11R6/lib -L/usr/local/lib -ltk8.4 -ltcl8.4 -lX11 -o
>> build/lib.linux-i686-2.4/_tkinter.so
>> *** WARNING: renaming "_tkinter" since importing it failed:
>> libtk8.4.so: cannot open shared object file: No such file or
>> directory running build_scripts
>> 
>> Here's what I don't get:
>> 
>> root at duo:/tmp/Python-2.4# ls -l /usr/local/lib/libtk8.4.so
>> -rwxr-xr-x    1 root     staff      893866 2004-12-02
>> 15:28 /usr/local/lib/libtk8.4.so
>> 
>> The library is there but gcc claims that it isn't.  Any suggestions?
> 
> Is /usr/local/lib in your LD_LIBRARY_PATH environment variable? It
> needs to be in the compiler options for the compilation phase, but
> then you have to put it in $LD_LIBRARY_PATH to be able to import the
> module.
> 
> HTH

That was the problem.  Thanks for the help.
-- 
Jeffrey Barish




More information about the Python-list mailing list